Extending Qt Creator Manual | DeviceManager

Extending Qt Creator Manual 4.5.2

# DeviceManager Class

(ProjectExplorer::DeviceManager)

- List of all members, including inherited members

## Public Functions

| ~DeviceManager() override
void | addDevice(const IDevice::ConstPtr &device)
IDevice::ConstPtr | defaultDevice(Core::Id deviceType) const
IDevice::ConstPtr | deviceAt(int index) const
int | deviceCount() const
IDevice::ConstPtr | find(Core::Id id) const
bool | hasDevice(const QString &name) const
bool | isLoaded() const
void | removeDevice(Core::Id id)
void | setDeviceState(Core::Id deviceId, IDevice::DeviceState deviceState)

## Signals

void | deviceAdded(Core::Id id)
void | deviceListReplaced()
void | deviceRemoved(Core::Id id)
void | deviceUpdated(Core::Id id)
void | devicesLoaded()
void | updated()

## Static Public Members

DeviceManager * | instance()

## Member Function Documentation

### DeviceManager::~DeviceManager()

Destroys the instance of DeviceManager.

### void DeviceManager::addDevice(const IDevice::ConstPtr &device)

### IDevice::ConstPtr DeviceManager::defaultDevice(Core::Id deviceType) const

### `[signal]` void DeviceManager::deviceAdded(Core::Id id)

### IDevice::ConstPtr DeviceManager::deviceAt(int index) const

### int DeviceManager::deviceCount() const

### `[signal]` void DeviceManager::deviceListReplaced()

### `[signal]` void DeviceManager::deviceRemoved(Core::Id id)

### `[signal]` void DeviceManager::deviceUpdated(Core::Id id)

### `[signal]` void DeviceManager::devicesLoaded()

### IDevice::ConstPtr DeviceManager::find(Core::Id id) const

### bool DeviceManager::hasDevice(const QString &name) const

### `[static]` DeviceManager *DeviceManager::instance()

### bool DeviceManager::isLoaded() const

### void DeviceManager::removeDevice(Core::Id id)

### void DeviceManager::setDeviceState(Core::Id deviceId, IDevice::DeviceState deviceState)

### `[signal]` void DeviceManager::updated()